/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
// Generated from at/jku/fim/rubanetra/config/RubanetraSystemConfiguration.g4 by ANTLR 4.5
package at.jku.fim.rubanetra.config;
import org.antlr.v4.runtime.misc.NotNull;
import org.antlr.v4.runtime.tree.ParseTreeListener;

/**
 * This interface defines a complete listener for a parse tree produced by
 * {@link RubanetraSystemConfigurationParser}.
 */
public interface RubanetraSystemConfigurationListener extends ParseTreeListener {
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#system}.
	 * @param ctx the parse tree
	 */
	void enterSystem(RubanetraSystemConfigurationParser.SystemContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#system}.
	 * @param ctx the parse tree
	 */
	void exitSystem(RubanetraSystemConfigurationParser.SystemContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#generalConfig}.
	 * @param ctx the parse tree
	 */
	void enterGeneralConfig(RubanetraSystemConfigurationParser.GeneralConfigContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#generalConfig}.
	 * @param ctx the parse tree
	 */
	void exitGeneralConfig(RubanetraSystemConfigurationParser.GeneralConfigContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolConfig}.
	 * @param ctx the parse tree
	 */
	void enterProtocolConfig(RubanetraSystemConfigurationParser.ProtocolConfigContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolConfig}.
	 * @param ctx the parse tree
	 */
	void exitProtocolConfig(RubanetraSystemConfigurationParser.ProtocolConfigContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#inputConfig}.
	 * @param ctx the parse tree
	 */
	void enterInputConfig(RubanetraSystemConfigurationParser.InputConfigContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#inputConfig}.
	 * @param ctx the parse tree
	 */
	void exitInputConfig(RubanetraSystemConfigurationParser.InputConfigContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#outputConfig}.
	 * @param ctx the parse tree
	 */
	void enterOutputConfig(RubanetraSystemConfigurationParser.OutputConfigContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#outputConfig}.
	 * @param ctx the parse tree
	 */
	void exitOutputConfig(RubanetraSystemConfigurationParser.OutputConfigContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#generalSetting}.
	 * @param ctx the parse tree
	 */
	void enterGeneralSetting(RubanetraSystemConfigurationParser.GeneralSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#generalSetting}.
	 * @param ctx the parse tree
	 */
	void exitGeneralSetting(RubanetraSystemConfigurationParser.GeneralSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsBaseModelName}.
	 * @param ctx the parse tree
	 */
	void enterDroolsBaseModelName(RubanetraSystemConfigurationParser.DroolsBaseModelNameContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsBaseModelName}.
	 * @param ctx the parse tree
	 */
	void exitDroolsBaseModelName(RubanetraSystemConfigurationParser.DroolsBaseModelNameContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsSessionModelName}.
	 * @param ctx the parse tree
	 */
	void enterDroolsSessionModelName(RubanetraSystemConfigurationParser.DroolsSessionModelNameContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsSessionModelName}.
	 * @param ctx the parse tree
	 */
	void exitDroolsSessionModelName(RubanetraSystemConfigurationParser.DroolsSessionModelNameContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsConfigurationFile}.
	 * @param ctx the parse tree
	 */
	void enterDroolsConfigurationFile(RubanetraSystemConfigurationParser.DroolsConfigurationFileContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#droolsConfigurationFile}.
	 * @param ctx the parse tree
	 */
	void exitDroolsConfigurationFile(RubanetraSystemConfigurationParser.DroolsConfigurationFileContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void enterProtocolConfigurationFileSetting(RubanetraSystemConfigurationParser.ProtocolConfigurationFileSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void exitProtocolConfigurationFileSetting(RubanetraSystemConfigurationParser.ProtocolConfigurationFileSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolSetting}.
	 * @param ctx the parse tree
	 */
	void enterProtocolSetting(RubanetraSystemConfigurationParser.ProtocolSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolSetting}.
	 * @param ctx the parse tree
	 */
	void exitProtocolSetting(RubanetraSystemConfigurationParser.ProtocolSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolHeader}.
	 * @param ctx the parse tree
	 */
	void enterProtocolHeader(RubanetraSystemConfigurationParser.ProtocolHeaderContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolHeader}.
	 * @param ctx the parse tree
	 */
	void exitProtocolHeader(RubanetraSystemConfigurationParser.ProtocolHeaderContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#portSpecification}.
	 * @param ctx the parse tree
	 */
	void enterPortSpecification(RubanetraSystemConfigurationParser.PortSpecificationContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#portSpecification}.
	 * @param ctx the parse tree
	 */
	void exitPortSpecification(RubanetraSystemConfigurationParser.PortSpecificationContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#multiplePorts}.
	 * @param ctx the parse tree
	 */
	void enterMultiplePorts(RubanetraSystemConfigurationParser.MultiplePortsContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#multiplePorts}.
	 * @param ctx the parse tree
	 */
	void exitMultiplePorts(RubanetraSystemConfigurationParser.MultiplePortsContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#portRange}.
	 * @param ctx the parse tree
	 */
	void enterPortRange(RubanetraSystemConfigurationParser.PortRangeContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#portRange}.
	 * @param ctx the parse tree
	 */
	void exitPortRange(RubanetraSystemConfigurationParser.PortRangeContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolBinding}.
	 * @param ctx the parse tree
	 */
	void enterProtocolBinding(RubanetraSystemConfigurationParser.ProtocolBindingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolBinding}.
	 * @param ctx the parse tree
	 */
	void exitProtocolBinding(RubanetraSystemConfigurationParser.ProtocolBindingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#transportLayerMappingSetting}.
	 * @param ctx the parse tree
	 */
	void enterTransportLayerMappingSetting(RubanetraSystemConfigurationParser.TransportLayerMappingSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#transportLayerMappingSetting}.
	 * @param ctx the parse tree
	 */
	void exitTransportLayerMappingSetting(RubanetraSystemConfigurationParser.TransportLayerMappingSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#transportLayerMappingStrategy}.
	 * @param ctx the parse tree
	 */
	void enterTransportLayerMappingStrategy(RubanetraSystemConfigurationParser.TransportLayerMappingStrategyContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#transportLayerMappingStrategy}.
	 * @param ctx the parse tree
	 */
	void exitTransportLayerMappingStrategy(RubanetraSystemConfigurationParser.TransportLayerMappingStrategyContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#inputConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void enterInputConfigurationFileSetting(RubanetraSystemConfigurationParser.InputConfigurationFileSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#inputConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void exitInputConfigurationFileSetting(RubanetraSystemConfigurationParser.InputConfigurationFileSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#inputSetting}.
	 * @param ctx the parse tree
	 */
	void enterInputSetting(RubanetraSystemConfigurationParser.InputSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#inputSetting}.
	 * @param ctx the parse tree
	 */
	void exitInputSetting(RubanetraSystemConfigurationParser.InputSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#outputConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void enterOutputConfigurationFileSetting(RubanetraSystemConfigurationParser.OutputConfigurationFileSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#outputConfigurationFileSetting}.
	 * @param ctx the parse tree
	 */
	void exitOutputConfigurationFileSetting(RubanetraSystemConfigurationParser.OutputConfigurationFileSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#outputSetting}.
	 * @param ctx the parse tree
	 */
	void enterOutputSetting(RubanetraSystemConfigurationParser.OutputSettingContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#outputSetting}.
	 * @param ctx the parse tree
	 */
	void exitOutputSetting(RubanetraSystemConfigurationParser.OutputSettingContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#inputSpecification}.
	 * @param ctx the parse tree
	 */
	void enterInputSpecification(RubanetraSystemConfigurationParser.InputSpecificationContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#inputSpecification}.
	 * @param ctx the parse tree
	 */
	void exitInputSpecification(RubanetraSystemConfigurationParser.InputSpecificationContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#inputFormat}.
	 * @param ctx the parse tree
	 */
	void enterInputFormat(RubanetraSystemConfigurationParser.InputFormatContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#inputFormat}.
	 * @param ctx the parse tree
	 */
	void exitInputFormat(RubanetraSystemConfigurationParser.InputFormatContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfFilterString}.
	 * @param ctx the parse tree
	 */
	void enterBpfFilterString(RubanetraSystemConfigurationParser.BpfFilterStringContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfFilterString}.
	 * @param ctx the parse tree
	 */
	void exitBpfFilterString(RubanetraSystemConfigurationParser.BpfFilterStringContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfNetmask}.
	 * @param ctx the parse tree
	 */
	void enterBpfNetmask(RubanetraSystemConfigurationParser.BpfNetmaskContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfNetmask}.
	 * @param ctx the parse tree
	 */
	void exitBpfNetmask(RubanetraSystemConfigurationParser.BpfNetmaskContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfOptimize}.
	 * @param ctx the parse tree
	 */
	void enterBpfOptimize(RubanetraSystemConfigurationParser.BpfOptimizeContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#bpfOptimize}.
	 * @param ctx the parse tree
	 */
	void exitBpfOptimize(RubanetraSystemConfigurationParser.BpfOptimizeContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#sortByFirstTimestamp}.
	 * @param ctx the parse tree
	 */
	void enterSortByFirstTimestamp(RubanetraSystemConfigurationParser.SortByFirstTimestampContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#sortByFirstTimestamp}.
	 * @param ctx the parse tree
	 */
	void exitSortByFirstTimestamp(RubanetraSystemConfigurationParser.SortByFirstTimestampContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#outputSpecification}.
	 * @param ctx the parse tree
	 */
	void enterOutputSpecification(RubanetraSystemConfigurationParser.OutputSpecificationContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#outputSpecification}.
	 * @param ctx the parse tree
	 */
	void exitOutputSpecification(RubanetraSystemConfigurationParser.OutputSpecificationContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#outputFormat}.
	 * @param ctx the parse tree
	 */
	void enterOutputFormat(RubanetraSystemConfigurationParser.OutputFormatContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#outputFormat}.
	 * @param ctx the parse tree
	 */
	void exitOutputFormat(RubanetraSystemConfigurationParser.OutputFormatContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#regexFlag}.
	 * @param ctx the parse tree
	 */
	void enterRegexFlag(RubanetraSystemConfigurationParser.RegexFlagContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#regexFlag}.
	 * @param ctx the parse tree
	 */
	void exitRegexFlag(RubanetraSystemConfigurationParser.RegexFlagContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#ipv6}.
	 * @param ctx the parse tree
	 */
	void enterIpv6(RubanetraSystemConfigurationParser.Ipv6Context ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#ipv6}.
	 * @param ctx the parse tree
	 */
	void exitIpv6(RubanetraSystemConfigurationParser.Ipv6Context ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#optIPv6Trailer}.
	 * @param ctx the parse tree
	 */
	void enterOptIPv6Trailer(RubanetraSystemConfigurationParser.OptIPv6TrailerContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#optIPv6Trailer}.
	 * @param ctx the parse tree
	 */
	void exitOptIPv6Trailer(RubanetraSystemConfigurationParser.OptIPv6TrailerContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#ipv4}.
	 * @param ctx the parse tree
	 */
	void enterIpv4(RubanetraSystemConfigurationParser.Ipv4Context ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#ipv4}.
	 * @param ctx the parse tree
	 */
	void exitIpv4(RubanetraSystemConfigurationParser.Ipv4Context ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolId}.
	 * @param ctx the parse tree
	 */
	void enterProtocolId(RubanetraSystemConfigurationParser.ProtocolIdContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#protocolId}.
	 * @param ctx the parse tree
	 */
	void exitProtocolId(RubanetraSystemConfigurationParser.ProtocolIdContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#singlePort}.
	 * @param ctx the parse tree
	 */
	void enterSinglePort(RubanetraSystemConfigurationParser.SinglePortContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#singlePort}.
	 * @param ctx the parse tree
	 */
	void exitSinglePort(RubanetraSystemConfigurationParser.SinglePortContext ctx);
	/**
	 * Enter a parse tree produced by {@link RubanetraSystemConfigurationParser#filePath}.
	 * @param ctx the parse tree
	 */
	void enterFilePath(RubanetraSystemConfigurationParser.FilePathContext ctx);
	/**
	 * Exit a parse tree produced by {@link RubanetraSystemConfigurationParser#filePath}.
	 * @param ctx the parse tree
	 */
	void exitFilePath(RubanetraSystemConfigurationParser.FilePathContext ctx);
}