/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
// Generated from at/jku/fim/rubanetra/config/RubanetraSystemConfiguration.g4 by ANTLR 4.5
package at.jku.fim.rubanetra.config;
import org.antlr.v4.runtime.atn.*;
import org.antlr.v4.runtime.dfa.DFA;
import org.antlr.v4.runtime.*;
import org.antlr.v4.runtime.misc.*;
import org.antlr.v4.runtime.tree.*;
import java.util.List;
import java.util.Iterator;
import java.util.ArrayList;

@SuppressWarnings({"all", "warnings", "unchecked", "unused", "cast"})
public class RubanetraSystemConfigurationParser extends Parser {
	static { RuntimeMetaData.checkVersion("4.5", RuntimeMetaData.VERSION); }

	protected static final DFA[] _decisionToDFA;
	protected static final PredictionContextCache _sharedContextCache =
		new PredictionContextCache();
	public static final int
		T__0=1, T__1=2, T__2=3, T__3=4, T__4=5, T__5=6, T__6=7, T__7=8, T__8=9, 
		T__9=10, T__10=11, T__11=12, T__12=13, T__13=14, T__14=15, T__15=16, T__16=17, 
		T__17=18, T__18=19, T__19=20, T__20=21, T__21=22, T__22=23, T__23=24, 
		T__24=25, T__25=26, T__26=27, T__27=28, T__28=29, T__29=30, T__30=31, 
		T__31=32, DEBUG=33, WARNING=34, INFO=35, DISABLED=36, PLASO=37, PCAP=38, 
		DEFAULT=39, DESTINATION_PORT=40, CSV=41, CUSTOM=42, TRUE=43, FALSE=44, 
		BIND_OP=45, ALL=46, NONE=47, NOP=48, STDOUT=49, CASE_INSENSITIVE=50, MULTILINE=51, 
		DOTALL=52, UNICODE_CASE=53, CANON_EQ=54, UNIX_LINES=55, LITERAL=56, UNICODE_CHARACTER_CLASS=57, 
		COMMENTS=58, ID=59, INT=60, STRING=61, LINE_COMMENT=62, COMMENT=63, WS=64;
	public static final int
		RULE_system = 0, RULE_generalConfig = 1, RULE_protocolConfig = 2, RULE_inputConfig = 3, 
		RULE_outputConfig = 4, RULE_generalSetting = 5, RULE_droolsBaseModelName = 6, 
		RULE_droolsSessionModelName = 7, RULE_droolsConfigurationFile = 8, RULE_protocolConfigurationFileSetting = 9, 
		RULE_protocolSetting = 10, RULE_protocolHeader = 11, RULE_portSpecification = 12, 
		RULE_multiplePorts = 13, RULE_portRange = 14, RULE_protocolBinding = 15, 
		RULE_transportLayerMappingSetting = 16, RULE_transportLayerMappingStrategy = 17, 
		RULE_inputConfigurationFileSetting = 18, RULE_inputSetting = 19, RULE_outputConfigurationFileSetting = 20, 
		RULE_outputSetting = 21, RULE_inputSpecification = 22, RULE_inputFormat = 23, 
		RULE_bpfFilterString = 24, RULE_bpfNetmask = 25, RULE_bpfOptimize = 26, 
		RULE_sortByFirstTimestamp = 27, RULE_outputSpecification = 28, RULE_outputFormat = 29, 
		RULE_regexFlag = 30, RULE_ipv6 = 31, RULE_optIPv6Trailer = 32, RULE_ipv4 = 33, 
		RULE_protocolId = 34, RULE_singlePort = 35, RULE_filePath = 36;
	public static final String[] ruleNames = {
		"system", "generalConfig", "protocolConfig", "inputConfig", "outputConfig", 
		"generalSetting", "droolsBaseModelName", "droolsSessionModelName", "droolsConfigurationFile", 
		"protocolConfigurationFileSetting", "protocolSetting", "protocolHeader", 
		"portSpecification", "multiplePorts", "portRange", "protocolBinding", 
		"transportLayerMappingSetting", "transportLayerMappingStrategy", "inputConfigurationFileSetting", 
		"inputSetting", "outputConfigurationFileSetting", "outputSetting", "inputSpecification", 
		"inputFormat", "bpfFilterString", "bpfNetmask", "bpfOptimize", "sortByFirstTimestamp", 
		"outputSpecification", "outputFormat", "regexFlag", "ipv6", "optIPv6Trailer", 
		"ipv4", "protocolId", "singlePort", "filePath"
	};

	private static final String[] _LITERAL_NAMES = {
		null, "'general'", "'{'", "'}'", "';'", "'protocols'", "'input'", "'output'", 
		"'drools_base_model_name'", "'='", "'drools_session_model_name'", "'drools_configuration_directory'", 
		"'protocol_configuration_file'", "'['", "']'", "':'", "'port'", "','", 
		"'-'", "'protocol_binding'", "'transport_layer_mapping_strategy'", "'input_configuration_file'", 
		"'input_file'", "'input_format'", "'bpf_filter'", "'bpf_netmask'", "'bpf_optimize'", 
		"'sort_by_first_timestamp'", "'output_configuration_file'", "'output_file'", 
		"'output_format'", "'::'", "'.'"
	};
	private static final String[] _SYMBOLIC_NAMES = {
		null, null, null, null, null, null, null, null, null, null, null, null, 
		null, null, null, null, null, null, null, null, null, null, null, null, 
		null, null, null, null, null, null, null, null, null, "DEBUG", "WARNING", 
		"INFO", "DISABLED", "PLASO", "PCAP", "DEFAULT", "DESTINATION_PORT", "CSV", 
		"CUSTOM", "TRUE", "FALSE", "BIND_OP", "ALL", "NONE", "NOP", "STDOUT", 
		"CASE_INSENSITIVE", "MULTILINE", "DOTALL", "UNICODE_CASE", "CANON_EQ", 
		"UNIX_LINES", "LITERAL", "UNICODE_CHARACTER_CLASS", "COMMENTS", "ID", 
		"INT", "STRING", "LINE_COMMENT", "COMMENT", "WS"
	};
	public static final Vocabulary VOCABULARY = new VocabularyImpl(_LITERAL_NAMES, _SYMBOLIC_NAMES);

	/**
	 * @deprecated Use {@link #VOCABULARY} instead.
	 */
	@Deprecated
	public static final String[] tokenNames;
	static {
		tokenNames = new String[_SYMBOLIC_NAMES.length];
		for (int i = 0; i < tokenNames.length; i++) {
			tokenNames[i] = VOCABULARY.getLiteralName(i);
			if (tokenNames[i] == null) {
				tokenNames[i] = VOCABULARY.getSymbolicName(i);
			}

			if (tokenNames[i] == null) {
				tokenNames[i] = "<INVALID>";
			}
		}
	}

	@Override
	@Deprecated
	public String[] getTokenNames() {
		return tokenNames;
	}

	@Override

	public Vocabulary getVocabulary() {
		return VOCABULARY;
	}

	@Override
	public String getGrammarFileName() { return "RubanetraSystemConfiguration.g4"; }

	@Override
	public String[] getRuleNames() { return ruleNames; }

	@Override
	public String getSerializedATN() { return _serializedATN; }

	@Override
	public ATN getATN() { return _ATN; }

	public RubanetraSystemConfigurationParser(TokenStream input) {
		super(input);
		_interp = new ParserATNSimulator(this,_ATN,_decisionToDFA,_sharedContextCache);
	}
	public static class SystemContext extends ParserRuleContext {
		public List<GeneralConfigContext> generalConfig() {
			return getRuleContexts(GeneralConfigContext.class);
		}
		public GeneralConfigContext generalConfig(int i) {
			return getRuleContext(GeneralConfigContext.class,i);
		}
		public List<InputConfigContext> inputConfig() {
			return getRuleContexts(InputConfigContext.class);
		}
		public InputConfigContext inputConfig(int i) {
			return getRuleContext(InputConfigContext.class,i);
		}
		public List<OutputConfigContext> outputConfig() {
			return getRuleContexts(OutputConfigContext.class);
		}
		public OutputConfigContext outputConfig(int i) {
			return getRuleContext(OutputConfigContext.class,i);
		}
		public List<ProtocolConfigContext> protocolConfig() {
			return getRuleContexts(ProtocolConfigContext.class);
		}
		public ProtocolConfigContext protocolConfig(int i) {
			return getRuleContext(ProtocolConfigContext.class,i);
		}
		public SystemContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_system; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterSystem(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitSystem(this);
		}
	}

	public final SystemContext system() throws RecognitionException {
		SystemContext _localctx = new SystemContext(_ctx, getState());
		enterRule(_localctx, 0, RULE_system);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(80);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while ((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << T__0) | (1L << T__4) | (1L << T__5) | (1L << T__6))) != 0)) {
				{
				setState(78);
				switch (_input.LA(1)) {
				case T__0:
					{
					setState(74);
					generalConfig();
					}
					break;
				case T__5:
					{
					setState(75);
					inputConfig();
					}
					break;
				case T__6:
					{
					setState(76);
					outputConfig();
					}
					break;
				case T__4:
					{
					setState(77);
					protocolConfig();
					}
					break;
				default:
					throw new NoViableAltException(this);
				}
				}
				setState(82);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class GeneralConfigContext extends ParserRuleContext {
		public List<GeneralSettingContext> generalSetting() {
			return getRuleContexts(GeneralSettingContext.class);
		}
		public GeneralSettingContext generalSetting(int i) {
			return getRuleContext(GeneralSettingContext.class,i);
		}
		public GeneralConfigContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_generalConfig; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterGeneralConfig(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitGeneralConfig(this);
		}
	}

	public final GeneralConfigContext generalConfig() throws RecognitionException {
		GeneralConfigContext _localctx = new GeneralConfigContext(_ctx, getState());
		enterRule(_localctx, 2, RULE_generalConfig);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(83);
			match(T__0);
			setState(84);
			match(T__1);
			setState(88);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while ((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << T__7) | (1L << T__9) | (1L << T__10))) != 0)) {
				{
				{
				setState(85);
				generalSetting();
				}
				}
				setState(90);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			setState(91);
			match(T__2);
			setState(92);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolConfigContext extends ParserRuleContext {
		public ProtocolConfigurationFileSettingContext protocolConfigurationFileSetting() {
			return getRuleContext(ProtocolConfigurationFileSettingContext.class,0);
		}
		public List<ProtocolSettingContext> protocolSetting() {
			return getRuleContexts(ProtocolSettingContext.class);
		}
		public ProtocolSettingContext protocolSetting(int i) {
			return getRuleContext(ProtocolSettingContext.class,i);
		}
		public ProtocolConfigContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolConfig; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolConfig(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolConfig(this);
		}
	}

	public final ProtocolConfigContext protocolConfig() throws RecognitionException {
		ProtocolConfigContext _localctx = new ProtocolConfigContext(_ctx, getState());
		enterRule(_localctx, 4, RULE_protocolConfig);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(94);
			match(T__4);
			setState(95);
			match(T__1);
			setState(103);
			switch (_input.LA(1)) {
			case T__11:
				{
				setState(96);
				protocolConfigurationFileSetting();
				}
				break;
			case T__2:
			case T__12:
				{
				setState(100);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==T__12) {
					{
					{
					setState(97);
					protocolSetting();
					}
					}
					setState(102);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(105);
			match(T__2);
			setState(106);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class InputConfigContext extends ParserRuleContext {
		public InputConfigurationFileSettingContext inputConfigurationFileSetting() {
			return getRuleContext(InputConfigurationFileSettingContext.class,0);
		}
		public List<InputSettingContext> inputSetting() {
			return getRuleContexts(InputSettingContext.class);
		}
		public InputSettingContext inputSetting(int i) {
			return getRuleContext(InputSettingContext.class,i);
		}
		public InputConfigContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_inputConfig; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterInputConfig(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitInputConfig(this);
		}
	}

	public final InputConfigContext inputConfig() throws RecognitionException {
		InputConfigContext _localctx = new InputConfigContext(_ctx, getState());
		enterRule(_localctx, 6, RULE_inputConfig);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(108);
			match(T__5);
			setState(109);
			match(T__1);
			setState(117);
			switch (_input.LA(1)) {
			case T__20:
				{
				setState(110);
				inputConfigurationFileSetting();
				}
				break;
			case T__2:
			case T__21:
			case T__22:
			case T__23:
			case T__24:
			case T__25:
			case T__26:
				{
				setState(114);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while ((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << T__21) | (1L << T__22) | (1L << T__23) | (1L << T__24) | (1L << T__25) | (1L << T__26))) != 0)) {
					{
					{
					setState(111);
					inputSetting();
					}
					}
					setState(116);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(119);
			match(T__2);
			setState(120);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OutputConfigContext extends ParserRuleContext {
		public OutputConfigurationFileSettingContext outputConfigurationFileSetting() {
			return getRuleContext(OutputConfigurationFileSettingContext.class,0);
		}
		public List<OutputSettingContext> outputSetting() {
			return getRuleContexts(OutputSettingContext.class);
		}
		public OutputSettingContext outputSetting(int i) {
			return getRuleContext(OutputSettingContext.class,i);
		}
		public OutputConfigContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_outputConfig; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOutputConfig(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOutputConfig(this);
		}
	}

	public final OutputConfigContext outputConfig() throws RecognitionException {
		OutputConfigContext _localctx = new OutputConfigContext(_ctx, getState());
		enterRule(_localctx, 8, RULE_outputConfig);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(122);
			match(T__6);
			setState(123);
			match(T__1);
			setState(131);
			switch (_input.LA(1)) {
			case T__27:
				{
				setState(124);
				outputConfigurationFileSetting();
				}
				break;
			case T__2:
			case T__28:
			case T__29:
				{
				setState(128);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==T__28 || _la==T__29) {
					{
					{
					setState(125);
					outputSetting();
					}
					}
					setState(130);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(133);
			match(T__2);
			setState(134);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class GeneralSettingContext extends ParserRuleContext {
		public DroolsBaseModelNameContext droolsBaseModelName() {
			return getRuleContext(DroolsBaseModelNameContext.class,0);
		}
		public DroolsSessionModelNameContext droolsSessionModelName() {
			return getRuleContext(DroolsSessionModelNameContext.class,0);
		}
		public DroolsConfigurationFileContext droolsConfigurationFile() {
			return getRuleContext(DroolsConfigurationFileContext.class,0);
		}
		public GeneralSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_generalSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterGeneralSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitGeneralSetting(this);
		}
	}

	public final GeneralSettingContext generalSetting() throws RecognitionException {
		GeneralSettingContext _localctx = new GeneralSettingContext(_ctx, getState());
		enterRule(_localctx, 10, RULE_generalSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(145);
			switch (_input.LA(1)) {
			case T__7:
				{
				setState(136);
				match(T__7);
				setState(137);
				match(T__8);
				setState(138);
				droolsBaseModelName();
				}
				break;
			case T__9:
				{
				setState(139);
				match(T__9);
				setState(140);
				match(T__8);
				setState(141);
				droolsSessionModelName();
				}
				break;
			case T__10:
				{
				setState(142);
				match(T__10);
				setState(143);
				match(T__8);
				setState(144);
				droolsConfigurationFile();
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(147);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class DroolsBaseModelNameContext extends ParserRuleContext {
		public TerminalNode STRING() { return getToken(RubanetraSystemConfigurationParser.STRING, 0); }
		public DroolsBaseModelNameContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_droolsBaseModelName; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterDroolsBaseModelName(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitDroolsBaseModelName(this);
		}
	}

	public final DroolsBaseModelNameContext droolsBaseModelName() throws RecognitionException {
		DroolsBaseModelNameContext _localctx = new DroolsBaseModelNameContext(_ctx, getState());
		enterRule(_localctx, 12, RULE_droolsBaseModelName);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(149);
			match(STRING);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class DroolsSessionModelNameContext extends ParserRuleContext {
		public TerminalNode STRING() { return getToken(RubanetraSystemConfigurationParser.STRING, 0); }
		public DroolsSessionModelNameContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_droolsSessionModelName; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterDroolsSessionModelName(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitDroolsSessionModelName(this);
		}
	}

	public final DroolsSessionModelNameContext droolsSessionModelName() throws RecognitionException {
		DroolsSessionModelNameContext _localctx = new DroolsSessionModelNameContext(_ctx, getState());
		enterRule(_localctx, 14, RULE_droolsSessionModelName);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(151);
			match(STRING);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class DroolsConfigurationFileContext extends ParserRuleContext {
		public FilePathContext filePath() {
			return getRuleContext(FilePathContext.class,0);
		}
		public DroolsConfigurationFileContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_droolsConfigurationFile; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterDroolsConfigurationFile(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitDroolsConfigurationFile(this);
		}
	}

	public final DroolsConfigurationFileContext droolsConfigurationFile() throws RecognitionException {
		DroolsConfigurationFileContext _localctx = new DroolsConfigurationFileContext(_ctx, getState());
		enterRule(_localctx, 16, RULE_droolsConfigurationFile);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(153);
			filePath();
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolConfigurationFileSettingContext extends ParserRuleContext {
		public FilePathContext filePath() {
			return getRuleContext(FilePathContext.class,0);
		}
		public ProtocolConfigurationFileSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolConfigurationFileSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolConfigurationFileSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolConfigurationFileSetting(this);
		}
	}

	public final ProtocolConfigurationFileSettingContext protocolConfigurationFileSetting() throws RecognitionException {
		ProtocolConfigurationFileSettingContext _localctx = new ProtocolConfigurationFileSettingContext(_ctx, getState());
		enterRule(_localctx, 18, RULE_protocolConfigurationFileSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(155);
			match(T__11);
			setState(156);
			match(T__8);
			setState(157);
			filePath();
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolSettingContext extends ParserRuleContext {
		public ProtocolHeaderContext protocolHeader() {
			return getRuleContext(ProtocolHeaderContext.class,0);
		}
		public List<PortSpecificationContext> portSpecification() {
			return getRuleContexts(PortSpecificationContext.class);
		}
		public PortSpecificationContext portSpecification(int i) {
			return getRuleContext(PortSpecificationContext.class,i);
		}
		public List<ProtocolBindingContext> protocolBinding() {
			return getRuleContexts(ProtocolBindingContext.class);
		}
		public ProtocolBindingContext protocolBinding(int i) {
			return getRuleContext(ProtocolBindingContext.class,i);
		}
		public List<TransportLayerMappingSettingContext> transportLayerMappingSetting() {
			return getRuleContexts(TransportLayerMappingSettingContext.class);
		}
		public TransportLayerMappingSettingContext transportLayerMappingSetting(int i) {
			return getRuleContext(TransportLayerMappingSettingContext.class,i);
		}
		public ProtocolSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolSetting(this);
		}
	}

	public final ProtocolSettingContext protocolSetting() throws RecognitionException {
		ProtocolSettingContext _localctx = new ProtocolSettingContext(_ctx, getState());
		enterRule(_localctx, 20, RULE_protocolSetting);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			{
			setState(159);
			protocolHeader();
			setState(165);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while ((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << T__15) | (1L << T__18) | (1L << T__19))) != 0)) {
				{
				setState(163);
				switch (_input.LA(1)) {
				case T__15:
					{
					setState(160);
					portSpecification();
					}
					break;
				case T__18:
					{
					setState(161);
					protocolBinding();
					}
					break;
				case T__19:
					{
					setState(162);
					transportLayerMappingSetting();
					}
					break;
				default:
					throw new NoViableAltException(this);
				}
				}
				setState(167);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolHeaderContext extends ParserRuleContext {
		public ProtocolIdContext protocolId() {
			return getRuleContext(ProtocolIdContext.class,0);
		}
		public ProtocolHeaderContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolHeader; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolHeader(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolHeader(this);
		}
	}

	public final ProtocolHeaderContext protocolHeader() throws RecognitionException {
		ProtocolHeaderContext _localctx = new ProtocolHeaderContext(_ctx, getState());
		enterRule(_localctx, 22, RULE_protocolHeader);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(168);
			match(T__12);
			setState(169);
			protocolId();
			setState(170);
			match(T__13);
			setState(171);
			match(T__14);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class PortSpecificationContext extends ParserRuleContext {
		public TerminalNode ALL() { return getToken(RubanetraSystemConfigurationParser.ALL, 0); }
		public TerminalNode NONE() { return getToken(RubanetraSystemConfigurationParser.NONE, 0); }
		public MultiplePortsContext multiplePorts() {
			return getRuleContext(MultiplePortsContext.class,0);
		}
		public PortSpecificationContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_portSpecification; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterPortSpecification(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitPortSpecification(this);
		}
	}

	public final PortSpecificationContext portSpecification() throws RecognitionException {
		PortSpecificationContext _localctx = new PortSpecificationContext(_ctx, getState());
		enterRule(_localctx, 24, RULE_portSpecification);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(173);
			match(T__15);
			setState(174);
			match(T__8);
			setState(178);
			switch (_input.LA(1)) {
			case ALL:
				{
				setState(175);
				match(ALL);
				}
				break;
			case NONE:
				{
				setState(176);
				match(NONE);
				}
				break;
			case INT:
				{
				setState(177);
				multiplePorts();
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(180);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class MultiplePortsContext extends ParserRuleContext {
		public List<PortRangeContext> portRange() {
			return getRuleContexts(PortRangeContext.class);
		}
		public PortRangeContext portRange(int i) {
			return getRuleContext(PortRangeContext.class,i);
		}
		public MultiplePortsContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_multiplePorts; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterMultiplePorts(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitMultiplePorts(this);
		}
	}

	public final MultiplePortsContext multiplePorts() throws RecognitionException {
		MultiplePortsContext _localctx = new MultiplePortsContext(_ctx, getState());
		enterRule(_localctx, 26, RULE_multiplePorts);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(182);
			portRange();
			setState(187);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==T__16) {
				{
				{
				setState(183);
				match(T__16);
				setState(184);
				portRange();
				}
				}
				setState(189);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class PortRangeContext extends ParserRuleContext {
		public List<SinglePortContext> singlePort() {
			return getRuleContexts(SinglePortContext.class);
		}
		public SinglePortContext singlePort(int i) {
			return getRuleContext(SinglePortContext.class,i);
		}
		public PortRangeContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_portRange; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterPortRange(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitPortRange(this);
		}
	}

	public final PortRangeContext portRange() throws RecognitionException {
		PortRangeContext _localctx = new PortRangeContext(_ctx, getState());
		enterRule(_localctx, 28, RULE_portRange);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(190);
			singlePort();
			setState(193);
			_la = _input.LA(1);
			if (_la==T__17) {
				{
				setState(191);
				match(T__17);
				setState(192);
				singlePort();
				}
			}

			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolBindingContext extends ParserRuleContext {
		public List<ProtocolIdContext> protocolId() {
			return getRuleContexts(ProtocolIdContext.class);
		}
		public ProtocolIdContext protocolId(int i) {
			return getRuleContext(ProtocolIdContext.class,i);
		}
		public TerminalNode BIND_OP() { return getToken(RubanetraSystemConfigurationParser.BIND_OP, 0); }
		public ProtocolBindingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolBinding; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolBinding(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolBinding(this);
		}
	}

	public final ProtocolBindingContext protocolBinding() throws RecognitionException {
		ProtocolBindingContext _localctx = new ProtocolBindingContext(_ctx, getState());
		enterRule(_localctx, 30, RULE_protocolBinding);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(195);
			match(T__18);
			setState(196);
			match(T__8);
			setState(197);
			protocolId();
			setState(198);
			match(BIND_OP);
			setState(199);
			protocolId();
			setState(200);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class TransportLayerMappingSettingContext extends ParserRuleContext {
		public TransportLayerMappingStrategyContext transportLayerMappingStrategy() {
			return getRuleContext(TransportLayerMappingStrategyContext.class,0);
		}
		public TransportLayerMappingSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_transportLayerMappingSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterTransportLayerMappingSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitTransportLayerMappingSetting(this);
		}
	}

	public final TransportLayerMappingSettingContext transportLayerMappingSetting() throws RecognitionException {
		TransportLayerMappingSettingContext _localctx = new TransportLayerMappingSettingContext(_ctx, getState());
		enterRule(_localctx, 32, RULE_transportLayerMappingSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(202);
			match(T__19);
			setState(203);
			match(T__8);
			setState(204);
			transportLayerMappingStrategy();
			setState(205);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class TransportLayerMappingStrategyContext extends ParserRuleContext {
		public TerminalNode DESTINATION_PORT() { return getToken(RubanetraSystemConfigurationParser.DESTINATION_PORT, 0); }
		public TransportLayerMappingStrategyContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_transportLayerMappingStrategy; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterTransportLayerMappingStrategy(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitTransportLayerMappingStrategy(this);
		}
	}

	public final TransportLayerMappingStrategyContext transportLayerMappingStrategy() throws RecognitionException {
		TransportLayerMappingStrategyContext _localctx = new TransportLayerMappingStrategyContext(_ctx, getState());
		enterRule(_localctx, 34, RULE_transportLayerMappingStrategy);
		try {
			enterOuterAlt(_localctx, 1);
			{
			{
			setState(207);
			match(DESTINATION_PORT);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class InputConfigurationFileSettingContext extends ParserRuleContext {
		public FilePathContext filePath() {
			return getRuleContext(FilePathContext.class,0);
		}
		public InputConfigurationFileSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_inputConfigurationFileSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterInputConfigurationFileSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitInputConfigurationFileSetting(this);
		}
	}

	public final InputConfigurationFileSettingContext inputConfigurationFileSetting() throws RecognitionException {
		InputConfigurationFileSettingContext _localctx = new InputConfigurationFileSettingContext(_ctx, getState());
		enterRule(_localctx, 36, RULE_inputConfigurationFileSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(209);
			match(T__20);
			setState(210);
			match(T__8);
			setState(211);
			filePath();
			setState(212);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class InputSettingContext extends ParserRuleContext {
		public InputSpecificationContext inputSpecification() {
			return getRuleContext(InputSpecificationContext.class,0);
		}
		public InputFormatContext inputFormat() {
			return getRuleContext(InputFormatContext.class,0);
		}
		public BpfFilterStringContext bpfFilterString() {
			return getRuleContext(BpfFilterStringContext.class,0);
		}
		public BpfNetmaskContext bpfNetmask() {
			return getRuleContext(BpfNetmaskContext.class,0);
		}
		public BpfOptimizeContext bpfOptimize() {
			return getRuleContext(BpfOptimizeContext.class,0);
		}
		public SortByFirstTimestampContext sortByFirstTimestamp() {
			return getRuleContext(SortByFirstTimestampContext.class,0);
		}
		public InputSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_inputSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterInputSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitInputSetting(this);
		}
	}

	public final InputSettingContext inputSetting() throws RecognitionException {
		InputSettingContext _localctx = new InputSettingContext(_ctx, getState());
		enterRule(_localctx, 38, RULE_inputSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(232);
			switch (_input.LA(1)) {
			case T__21:
				{
				setState(214);
				match(T__21);
				setState(215);
				match(T__8);
				setState(216);
				inputSpecification();
				}
				break;
			case T__22:
				{
				setState(217);
				match(T__22);
				setState(218);
				match(T__8);
				setState(219);
				inputFormat();
				}
				break;
			case T__23:
				{
				setState(220);
				match(T__23);
				setState(221);
				match(T__8);
				setState(222);
				bpfFilterString();
				}
				break;
			case T__24:
				{
				setState(223);
				match(T__24);
				setState(224);
				match(T__8);
				setState(225);
				bpfNetmask();
				}
				break;
			case T__25:
				{
				setState(226);
				match(T__25);
				setState(227);
				match(T__8);
				setState(228);
				bpfOptimize();
				}
				break;
			case T__26:
				{
				setState(229);
				match(T__26);
				setState(230);
				match(T__8);
				setState(231);
				sortByFirstTimestamp();
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(234);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OutputConfigurationFileSettingContext extends ParserRuleContext {
		public FilePathContext filePath() {
			return getRuleContext(FilePathContext.class,0);
		}
		public OutputConfigurationFileSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_outputConfigurationFileSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOutputConfigurationFileSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOutputConfigurationFileSetting(this);
		}
	}

	public final OutputConfigurationFileSettingContext outputConfigurationFileSetting() throws RecognitionException {
		OutputConfigurationFileSettingContext _localctx = new OutputConfigurationFileSettingContext(_ctx, getState());
		enterRule(_localctx, 40, RULE_outputConfigurationFileSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(236);
			match(T__27);
			setState(237);
			match(T__8);
			setState(238);
			filePath();
			setState(239);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OutputSettingContext extends ParserRuleContext {
		public OutputSpecificationContext outputSpecification() {
			return getRuleContext(OutputSpecificationContext.class,0);
		}
		public OutputFormatContext outputFormat() {
			return getRuleContext(OutputFormatContext.class,0);
		}
		public OutputSettingContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_outputSetting; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOutputSetting(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOutputSetting(this);
		}
	}

	public final OutputSettingContext outputSetting() throws RecognitionException {
		OutputSettingContext _localctx = new OutputSettingContext(_ctx, getState());
		enterRule(_localctx, 42, RULE_outputSetting);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(247);
			switch (_input.LA(1)) {
			case T__28:
				{
				setState(241);
				match(T__28);
				setState(242);
				match(T__8);
				setState(243);
				outputSpecification();
				}
				break;
			case T__29:
				{
				setState(244);
				match(T__29);
				setState(245);
				match(T__8);
				setState(246);
				outputFormat();
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			setState(249);
			match(T__3);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class InputSpecificationContext extends ParserRuleContext {
		public List<FilePathContext> filePath() {
			return getRuleContexts(FilePathContext.class);
		}
		public FilePathContext filePath(int i) {
			return getRuleContext(FilePathContext.class,i);
		}
		public InputSpecificationContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_inputSpecification; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterInputSpecification(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitInputSpecification(this);
		}
	}

	public final InputSpecificationContext inputSpecification() throws RecognitionException {
		InputSpecificationContext _localctx = new InputSpecificationContext(_ctx, getState());
		enterRule(_localctx, 44, RULE_inputSpecification);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(251);
			filePath();
			setState(256);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==T__16) {
				{
				{
				setState(252);
				match(T__16);
				setState(253);
				filePath();
				}
				}
				setState(258);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class InputFormatContext extends ParserRuleContext {
		public TerminalNode PCAP() { return getToken(RubanetraSystemConfigurationParser.PCAP, 0); }
		public InputFormatContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_inputFormat; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterInputFormat(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitInputFormat(this);
		}
	}

	public final InputFormatContext inputFormat() throws RecognitionException {
		InputFormatContext _localctx = new InputFormatContext(_ctx, getState());
		enterRule(_localctx, 46, RULE_inputFormat);
		try {
			enterOuterAlt(_localctx, 1);
			{
			{
			setState(259);
			match(PCAP);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class BpfFilterStringContext extends ParserRuleContext {
		public TerminalNode STRING() { return getToken(RubanetraSystemConfigurationParser.STRING, 0); }
		public BpfFilterStringContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_bpfFilterString; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterBpfFilterString(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitBpfFilterString(this);
		}
	}

	public final BpfFilterStringContext bpfFilterString() throws RecognitionException {
		BpfFilterStringContext _localctx = new BpfFilterStringContext(_ctx, getState());
		enterRule(_localctx, 48, RULE_bpfFilterString);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(261);
			match(STRING);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class BpfNetmaskContext extends ParserRuleContext {
		public TerminalNode INT() { return getToken(RubanetraSystemConfigurationParser.INT, 0); }
		public BpfNetmaskContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_bpfNetmask; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterBpfNetmask(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitBpfNetmask(this);
		}
	}

	public final BpfNetmaskContext bpfNetmask() throws RecognitionException {
		BpfNetmaskContext _localctx = new BpfNetmaskContext(_ctx, getState());
		enterRule(_localctx, 50, RULE_bpfNetmask);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(263);
			match(INT);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class BpfOptimizeContext extends ParserRuleContext {
		public TerminalNode TRUE() { return getToken(RubanetraSystemConfigurationParser.TRUE, 0); }
		public TerminalNode FALSE() { return getToken(RubanetraSystemConfigurationParser.FALSE, 0); }
		public BpfOptimizeContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_bpfOptimize; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterBpfOptimize(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitBpfOptimize(this);
		}
	}

	public final BpfOptimizeContext bpfOptimize() throws RecognitionException {
		BpfOptimizeContext _localctx = new BpfOptimizeContext(_ctx, getState());
		enterRule(_localctx, 52, RULE_bpfOptimize);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(265);
			_la = _input.LA(1);
			if ( !(_la==TRUE || _la==FALSE) ) {
			_errHandler.recoverInline(this);
			} else {
				consume();
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class SortByFirstTimestampContext extends ParserRuleContext {
		public TerminalNode TRUE() { return getToken(RubanetraSystemConfigurationParser.TRUE, 0); }
		public TerminalNode FALSE() { return getToken(RubanetraSystemConfigurationParser.FALSE, 0); }
		public SortByFirstTimestampContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_sortByFirstTimestamp; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterSortByFirstTimestamp(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitSortByFirstTimestamp(this);
		}
	}

	public final SortByFirstTimestampContext sortByFirstTimestamp() throws RecognitionException {
		SortByFirstTimestampContext _localctx = new SortByFirstTimestampContext(_ctx, getState());
		enterRule(_localctx, 54, RULE_sortByFirstTimestamp);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(267);
			_la = _input.LA(1);
			if ( !(_la==TRUE || _la==FALSE) ) {
			_errHandler.recoverInline(this);
			} else {
				consume();
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OutputSpecificationContext extends ParserRuleContext {
		public TerminalNode STDOUT() { return getToken(RubanetraSystemConfigurationParser.STDOUT, 0); }
		public FilePathContext filePath() {
			return getRuleContext(FilePathContext.class,0);
		}
		public OutputSpecificationContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_outputSpecification; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOutputSpecification(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOutputSpecification(this);
		}
	}

	public final OutputSpecificationContext outputSpecification() throws RecognitionException {
		OutputSpecificationContext _localctx = new OutputSpecificationContext(_ctx, getState());
		enterRule(_localctx, 56, RULE_outputSpecification);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(271);
			switch (_input.LA(1)) {
			case STDOUT:
				{
				setState(269);
				match(STDOUT);
				}
				break;
			case STRING:
				{
				setState(270);
				filePath();
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OutputFormatContext extends ParserRuleContext {
		public TerminalNode PLASO() { return getToken(RubanetraSystemConfigurationParser.PLASO, 0); }
		public TerminalNode CSV() { return getToken(RubanetraSystemConfigurationParser.CSV, 0); }
		public TerminalNode NOP() { return getToken(RubanetraSystemConfigurationParser.NOP, 0); }
		public OutputFormatContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_outputFormat; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOutputFormat(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOutputFormat(this);
		}
	}

	public final OutputFormatContext outputFormat() throws RecognitionException {
		OutputFormatContext _localctx = new OutputFormatContext(_ctx, getState());
		enterRule(_localctx, 58, RULE_outputFormat);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(273);
			_la = _input.LA(1);
			if ( !((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << PLASO) | (1L << CSV) | (1L << NOP))) != 0)) ) {
			_errHandler.recoverInline(this);
			} else {
				consume();
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class RegexFlagContext extends ParserRuleContext {
		public TerminalNode CASE_INSENSITIVE() { return getToken(RubanetraSystemConfigurationParser.CASE_INSENSITIVE, 0); }
		public TerminalNode MULTILINE() { return getToken(RubanetraSystemConfigurationParser.MULTILINE, 0); }
		public TerminalNode DOTALL() { return getToken(RubanetraSystemConfigurationParser.DOTALL, 0); }
		public TerminalNode UNICODE_CASE() { return getToken(RubanetraSystemConfigurationParser.UNICODE_CASE, 0); }
		public TerminalNode CANON_EQ() { return getToken(RubanetraSystemConfigurationParser.CANON_EQ, 0); }
		public TerminalNode UNIX_LINES() { return getToken(RubanetraSystemConfigurationParser.UNIX_LINES, 0); }
		public TerminalNode LITERAL() { return getToken(RubanetraSystemConfigurationParser.LITERAL, 0); }
		public TerminalNode UNICODE_CHARACTER_CLASS() { return getToken(RubanetraSystemConfigurationParser.UNICODE_CHARACTER_CLASS, 0); }
		public TerminalNode COMMENTS() { return getToken(RubanetraSystemConfigurationParser.COMMENTS, 0); }
		public TerminalNode NONE() { return getToken(RubanetraSystemConfigurationParser.NONE, 0); }
		public RegexFlagContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_regexFlag; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterRegexFlag(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitRegexFlag(this);
		}
	}

	public final RegexFlagContext regexFlag() throws RecognitionException {
		RegexFlagContext _localctx = new RegexFlagContext(_ctx, getState());
		enterRule(_localctx, 60, RULE_regexFlag);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(275);
			_la = _input.LA(1);
			if ( !((((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << NONE) | (1L << CASE_INSENSITIVE) | (1L << MULTILINE) | (1L << DOTALL) | (1L << UNICODE_CASE) | (1L << CANON_EQ) | (1L << UNIX_LINES) | (1L << LITERAL) | (1L << UNICODE_CHARACTER_CLASS) | (1L << COMMENTS))) != 0)) ) {
			_errHandler.recoverInline(this);
			} else {
				consume();
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class Ipv6Context extends ParserRuleContext {
		public List<TerminalNode> INT() { return getTokens(RubanetraSystemConfigurationParser.INT); }
		public TerminalNode INT(int i) {
			return getToken(RubanetraSystemConfigurationParser.INT, i);
		}
		public OptIPv6TrailerContext optIPv6Trailer() {
			return getRuleContext(OptIPv6TrailerContext.class,0);
		}
		public Ipv6Context(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_ipv6; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterIpv6(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitIpv6(this);
		}
	}

	public final Ipv6Context ipv6() throws RecognitionException {
		Ipv6Context _localctx = new Ipv6Context(_ctx, getState());
		enterRule(_localctx, 62, RULE_ipv6);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(440);
			switch ( getInterpreter().adaptivePredict(_input,47,_ctx) ) {
			case 1:
				{
				setState(277);
				match(INT);
				setState(278);
				match(T__14);
				setState(279);
				match(INT);
				setState(280);
				match(T__14);
				setState(281);
				match(INT);
				setState(282);
				match(T__14);
				setState(283);
				match(INT);
				setState(284);
				match(T__14);
				setState(285);
				match(INT);
				setState(286);
				match(T__14);
				setState(287);
				match(INT);
				setState(288);
				match(T__14);
				setState(289);
				optIPv6Trailer();
				}
				break;
			case 2:
				{
				setState(290);
				match(T__30);
				setState(291);
				match(INT);
				setState(292);
				match(T__14);
				setState(293);
				match(INT);
				setState(294);
				match(T__14);
				setState(295);
				match(INT);
				setState(296);
				match(T__14);
				setState(297);
				match(INT);
				setState(298);
				match(T__14);
				setState(299);
				match(INT);
				setState(300);
				match(T__14);
				setState(301);
				optIPv6Trailer();
				}
				break;
			case 3:
				{
				setState(303);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(302);
					match(INT);
					}
				}

				setState(305);
				match(T__30);
				setState(306);
				match(INT);
				setState(307);
				match(T__14);
				setState(308);
				match(INT);
				setState(309);
				match(T__14);
				setState(310);
				match(INT);
				setState(311);
				match(T__14);
				setState(312);
				match(INT);
				setState(313);
				match(T__14);
				setState(314);
				optIPv6Trailer();
				}
				break;
			case 4:
				{
				setState(320);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(317);
					switch ( getInterpreter().adaptivePredict(_input,20,_ctx) ) {
					case 1:
						{
						setState(315);
						match(INT);
						setState(316);
						match(T__14);
						}
						break;
					}
					setState(319);
					match(INT);
					}
				}

				setState(322);
				match(T__30);
				setState(323);
				match(INT);
				setState(324);
				match(T__14);
				setState(325);
				match(INT);
				setState(326);
				match(T__14);
				setState(327);
				match(INT);
				setState(328);
				match(T__14);
				setState(329);
				optIPv6Trailer();
				}
				break;
			case 5:
				{
				setState(339);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(332);
					switch ( getInterpreter().adaptivePredict(_input,22,_ctx) ) {
					case 1:
						{
						setState(330);
						match(INT);
						setState(331);
						match(T__14);
						}
						break;
					}
					setState(336);
					switch ( getInterpreter().adaptivePredict(_input,23,_ctx) ) {
					case 1:
						{
						setState(334);
						match(INT);
						setState(335);
						match(T__14);
						}
						break;
					}
					setState(338);
					match(INT);
					}
				}

				setState(341);
				match(T__30);
				setState(342);
				match(INT);
				setState(343);
				match(T__14);
				setState(344);
				match(INT);
				setState(345);
				match(T__14);
				setState(346);
				optIPv6Trailer();
				}
				break;
			case 6:
				{
				setState(360);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(349);
					switch ( getInterpreter().adaptivePredict(_input,25,_ctx) ) {
					case 1:
						{
						setState(347);
						match(INT);
						setState(348);
						match(T__14);
						}
						break;
					}
					setState(353);
					switch ( getInterpreter().adaptivePredict(_input,26,_ctx) ) {
					case 1:
						{
						setState(351);
						match(INT);
						setState(352);
						match(T__14);
						}
						break;
					}
					setState(357);
					switch ( getInterpreter().adaptivePredict(_input,27,_ctx) ) {
					case 1:
						{
						setState(355);
						match(INT);
						setState(356);
						match(T__14);
						}
						break;
					}
					setState(359);
					match(INT);
					}
				}

				setState(362);
				match(T__30);
				setState(363);
				match(INT);
				setState(364);
				match(T__14);
				setState(365);
				optIPv6Trailer();
				}
				break;
			case 7:
				{
				setState(383);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(368);
					switch ( getInterpreter().adaptivePredict(_input,29,_ctx) ) {
					case 1:
						{
						setState(366);
						match(INT);
						setState(367);
						match(T__14);
						}
						break;
					}
					setState(372);
					switch ( getInterpreter().adaptivePredict(_input,30,_ctx) ) {
					case 1:
						{
						setState(370);
						match(INT);
						setState(371);
						match(T__14);
						}
						break;
					}
					setState(376);
					switch ( getInterpreter().adaptivePredict(_input,31,_ctx) ) {
					case 1:
						{
						setState(374);
						match(INT);
						setState(375);
						match(T__14);
						}
						break;
					}
					setState(380);
					switch ( getInterpreter().adaptivePredict(_input,32,_ctx) ) {
					case 1:
						{
						setState(378);
						match(INT);
						setState(379);
						match(T__14);
						}
						break;
					}
					setState(382);
					match(INT);
					}
				}

				setState(385);
				match(T__30);
				setState(386);
				optIPv6Trailer();
				}
				break;
			case 8:
				{
				setState(408);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(389);
					switch ( getInterpreter().adaptivePredict(_input,34,_ctx) ) {
					case 1:
						{
						setState(387);
						match(INT);
						setState(388);
						match(T__14);
						}
						break;
					}
					setState(393);
					switch ( getInterpreter().adaptivePredict(_input,35,_ctx) ) {
					case 1:
						{
						setState(391);
						match(INT);
						setState(392);
						match(T__14);
						}
						break;
					}
					setState(397);
					switch ( getInterpreter().adaptivePredict(_input,36,_ctx) ) {
					case 1:
						{
						setState(395);
						match(INT);
						setState(396);
						match(T__14);
						}
						break;
					}
					setState(401);
					switch ( getInterpreter().adaptivePredict(_input,37,_ctx) ) {
					case 1:
						{
						setState(399);
						match(INT);
						setState(400);
						match(T__14);
						}
						break;
					}
					setState(405);
					switch ( getInterpreter().adaptivePredict(_input,38,_ctx) ) {
					case 1:
						{
						setState(403);
						match(INT);
						setState(404);
						match(T__14);
						}
						break;
					}
					setState(407);
					match(INT);
					}
				}

				setState(410);
				match(T__30);
				setState(411);
				match(INT);
				}
				break;
			case 9:
				{
				setState(437);
				_la = _input.LA(1);
				if (_la==INT) {
					{
					setState(414);
					switch ( getInterpreter().adaptivePredict(_input,40,_ctx) ) {
					case 1:
						{
						setState(412);
						match(INT);
						setState(413);
						match(T__14);
						}
						break;
					}
					setState(418);
					switch ( getInterpreter().adaptivePredict(_input,41,_ctx) ) {
					case 1:
						{
						setState(416);
						match(INT);
						setState(417);
						match(T__14);
						}
						break;
					}
					setState(422);
					switch ( getInterpreter().adaptivePredict(_input,42,_ctx) ) {
					case 1:
						{
						setState(420);
						match(INT);
						setState(421);
						match(T__14);
						}
						break;
					}
					setState(426);
					switch ( getInterpreter().adaptivePredict(_input,43,_ctx) ) {
					case 1:
						{
						setState(424);
						match(INT);
						setState(425);
						match(T__14);
						}
						break;
					}
					setState(430);
					switch ( getInterpreter().adaptivePredict(_input,44,_ctx) ) {
					case 1:
						{
						setState(428);
						match(INT);
						setState(429);
						match(T__14);
						}
						break;
					}
					setState(434);
					switch ( getInterpreter().adaptivePredict(_input,45,_ctx) ) {
					case 1:
						{
						setState(432);
						match(INT);
						setState(433);
						match(T__14);
						}
						break;
					}
					setState(436);
					match(INT);
					}
				}

				setState(439);
				match(T__30);
				}
				break;
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class OptIPv6TrailerContext extends ParserRuleContext {
		public List<TerminalNode> INT() { return getTokens(RubanetraSystemConfigurationParser.INT); }
		public TerminalNode INT(int i) {
			return getToken(RubanetraSystemConfigurationParser.INT, i);
		}
		public Ipv4Context ipv4() {
			return getRuleContext(Ipv4Context.class,0);
		}
		public OptIPv6TrailerContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_optIPv6Trailer; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterOptIPv6Trailer(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitOptIPv6Trailer(this);
		}
	}

	public final OptIPv6TrailerContext optIPv6Trailer() throws RecognitionException {
		OptIPv6TrailerContext _localctx = new OptIPv6TrailerContext(_ctx, getState());
		enterRule(_localctx, 64, RULE_optIPv6Trailer);
		try {
			setState(446);
			switch ( getInterpreter().adaptivePredict(_input,48,_ctx) ) {
			case 1:
				enterOuterAlt(_localctx, 1);
				{
				{
				setState(442);
				match(INT);
				setState(443);
				match(T__14);
				setState(444);
				match(INT);
				}
				}
				break;
			case 2:
				enterOuterAlt(_localctx, 2);
				{
				setState(445);
				ipv4();
				}
				break;
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class Ipv4Context extends ParserRuleContext {
		public List<TerminalNode> INT() { return getTokens(RubanetraSystemConfigurationParser.INT); }
		public TerminalNode INT(int i) {
			return getToken(RubanetraSystemConfigurationParser.INT, i);
		}
		public Ipv4Context(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_ipv4; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterIpv4(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitIpv4(this);
		}
	}

	public final Ipv4Context ipv4() throws RecognitionException {
		Ipv4Context _localctx = new Ipv4Context(_ctx, getState());
		enterRule(_localctx, 66, RULE_ipv4);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(448);
			match(INT);
			setState(449);
			match(T__31);
			setState(450);
			match(INT);
			setState(451);
			match(T__31);
			setState(452);
			match(INT);
			setState(453);
			match(T__31);
			setState(454);
			match(INT);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class ProtocolIdContext extends ParserRuleContext {
		public TerminalNode ID() { return getToken(RubanetraSystemConfigurationParser.ID, 0); }
		public ProtocolIdContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_protocolId; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterProtocolId(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitProtocolId(this);
		}
	}

	public final ProtocolIdContext protocolId() throws RecognitionException {
		ProtocolIdContext _localctx = new ProtocolIdContext(_ctx, getState());
		enterRule(_localctx, 68, RULE_protocolId);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(456);
			match(ID);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class SinglePortContext extends ParserRuleContext {
		public TerminalNode INT() { return getToken(RubanetraSystemConfigurationParser.INT, 0); }
		public SinglePortContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_singlePort; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterSinglePort(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitSinglePort(this);
		}
	}

	public final SinglePortContext singlePort() throws RecognitionException {
		SinglePortContext _localctx = new SinglePortContext(_ctx, getState());
		enterRule(_localctx, 70, RULE_singlePort);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(458);
			match(INT);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class FilePathContext extends ParserRuleContext {
		public TerminalNode STRING() { return getToken(RubanetraSystemConfigurationParser.STRING, 0); }
		public FilePathContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_filePath; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).enterFilePath(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof RubanetraSystemConfigurationListener ) ((RubanetraSystemConfigurationListener)listener).exitFilePath(this);
		}
	}

	public final FilePathContext filePath() throws RecognitionException {
		FilePathContext _localctx = new FilePathContext(_ctx, getState());
		enterRule(_localctx, 72, RULE_filePath);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(460);
			match(STRING);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static final String _serializedATN =
		"\3\u0430\ud6d1\u8206\uad2d\u4417\uaef1\u8d80\uaadd\3B\u01d1\4\2\t\2\4"+
		"\3\t\3\4\4\t\4\4\5\t\5\4\6\t\6\4\7\t\7\4\b\t\b\4\t\t\t\4\n\t\n\4\13\t"+
		"\13\4\f\t\f\4\r\t\r\4\16\t\16\4\17\t\17\4\20\t\20\4\21\t\21\4\22\t\22"+
		"\4\23\t\23\4\24\t\24\4\25\t\25\4\26\t\26\4\27\t\27\4\30\t\30\4\31\t\31"+
		"\4\32\t\32\4\33\t\33\4\34\t\34\4\35\t\35\4\36\t\36\4\37\t\37\4 \t \4!"+
		"\t!\4\"\t\"\4#\t#\4$\t$\4%\t%\4&\t&\3\2\3\2\3\2\3\2\7\2Q\n\2\f\2\16\2"+
		"T\13\2\3\3\3\3\3\3\7\3Y\n\3\f\3\16\3\\\13\3\3\3\3\3\3\3\3\4\3\4\3\4\3"+
		"\4\7\4e\n\4\f\4\16\4h\13\4\5\4j\n\4\3\4\3\4\3\4\3\5\3\5\3\5\3\5\7\5s\n"+
		"\5\f\5\16\5v\13\5\5\5x\n\5\3\5\3\5\3\5\3\6\3\6\3\6\3\6\7\6\u0081\n\6\f"+
		"\6\16\6\u0084\13\6\5\6\u0086\n\6\3\6\3\6\3\6\3\7\3\7\3\7\3\7\3\7\3\7\3"+
		"\7\3\7\3\7\5\7\u0094\n\7\3\7\3\7\3\b\3\b\3\t\3\t\3\n\3\n\3\13\3\13\3\13"+
		"\3\13\3\f\3\f\3\f\3\f\7\f\u00a6\n\f\f\f\16\f\u00a9\13\f\3\r\3\r\3\r\3"+
		"\r\3\r\3\16\3\16\3\16\3\16\3\16\5\16\u00b5\n\16\3\16\3\16\3\17\3\17\3"+
		"\17\7\17\u00bc\n\17\f\17\16\17\u00bf\13\17\3\20\3\20\3\20\5\20\u00c4\n"+
		"\20\3\21\3\21\3\21\3\21\3\21\3\21\3\21\3\22\3\22\3\22\3\22\3\22\3\23\3"+
		"\23\3\24\3\24\3\24\3\24\3\24\3\25\3\25\3\25\3\25\3\25\3\25\3\25\3\25\3"+
		"\25\3\25\3\25\3\25\3\25\3\25\3\25\3\25\3\25\3\25\5\25\u00eb\n\25\3\25"+
		"\3\25\3\26\3\26\3\26\3\26\3\26\3\27\3\27\3\27\3\27\3\27\3\27\5\27\u00fa"+
		"\n\27\3\27\3\27\3\30\3\30\3\30\7\30\u0101\n\30\f\30\16\30\u0104\13\30"+
		"\3\31\3\31\3\32\3\32\3\33\3\33\3\34\3\34\3\35\3\35\3\36\3\36\5\36\u0112"+
		"\n\36\3\37\3\37\3 \3 \3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!"+
		"\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\5!\u0132\n!\3!\3!\3!\3!\3!\3!\3!\3!\3!"+
		"\3!\3!\3!\5!\u0140\n!\3!\5!\u0143\n!\3!\3!\3!\3!\3!\3!\3!\3!\3!\3!\5!"+
		"\u014f\n!\3!\3!\5!\u0153\n!\3!\5!\u0156\n!\3!\3!\3!\3!\3!\3!\3!\3!\5!"+
		"\u0160\n!\3!\3!\5!\u0164\n!\3!\3!\5!\u0168\n!\3!\5!\u016b\n!\3!\3!\3!"+
		"\3!\3!\3!\5!\u0173\n!\3!\3!\5!\u0177\n!\3!\3!\5!\u017b\n!\3!\3!\5!\u017f"+
		"\n!\3!\5!\u0182\n!\3!\3!\3!\3!\5!\u0188\n!\3!\3!\5!\u018c\n!\3!\3!\5!"+
		"\u0190\n!\3!\3!\5!\u0194\n!\3!\3!\5!\u0198\n!\3!\5!\u019b\n!\3!\3!\3!"+
		"\3!\5!\u01a1\n!\3!\3!\5!\u01a5\n!\3!\3!\5!\u01a9\n!\3!\3!\5!\u01ad\n!"+
		"\3!\3!\5!\u01b1\n!\3!\3!\5!\u01b5\n!\3!\5!\u01b8\n!\3!\5!\u01bb\n!\3\""+
		"\3\"\3\"\3\"\5\"\u01c1\n\"\3#\3#\3#\3#\3#\3#\3#\3#\3$\3$\3%\3%\3&\3&\3"+
		"&\2\2\'\2\4\6\b\n\f\16\20\22\24\26\30\32\34\36 \"$&(*,.\60\62\64\668:"+
		"<>@BDFHJ\2\5\3\2-.\5\2\'\'++\62\62\4\2\61\61\64<\u01ec\2R\3\2\2\2\4U\3"+
		"\2\2\2\6`\3\2\2\2\bn\3\2\2\2\n|\3\2\2\2\f\u0093\3\2\2\2\16\u0097\3\2\2"+
		"\2\20\u0099\3\2\2\2\22\u009b\3\2\2\2\24\u009d\3\2\2\2\26\u00a1\3\2\2\2"+
		"\30\u00aa\3\2\2\2\32\u00af\3\2\2\2\34\u00b8\3\2\2\2\36\u00c0\3\2\2\2 "+
		"\u00c5\3\2\2\2\"\u00cc\3\2\2\2$\u00d1\3\2\2\2&\u00d3\3\2\2\2(\u00ea\3"+
		"\2\2\2*\u00ee\3\2\2\2,\u00f9\3\2\2\2.\u00fd\3\2\2\2\60\u0105\3\2\2\2\62"+
		"\u0107\3\2\2\2\64\u0109\3\2\2\2\66\u010b\3\2\2\28\u010d\3\2\2\2:\u0111"+
		"\3\2\2\2<\u0113\3\2\2\2>\u0115\3\2\2\2@\u01ba\3\2\2\2B\u01c0\3\2\2\2D"+
		"\u01c2\3\2\2\2F\u01ca\3\2\2\2H\u01cc\3\2\2\2J\u01ce\3\2\2\2LQ\5\4\3\2"+
		"MQ\5\b\5\2NQ\5\n\6\2OQ\5\6\4\2PL\3\2\2\2PM\3\2\2\2PN\3\2\2\2PO\3\2\2\2"+
		"QT\3\2\2\2RP\3\2\2\2RS\3\2\2\2S\3\3\2\2\2TR\3\2\2\2UV\7\3\2\2VZ\7\4\2"+
		"\2WY\5\f\7\2XW\3\2\2\2Y\\\3\2\2\2ZX\3\2\2\2Z[\3\2\2\2[]\3\2\2\2\\Z\3\2"+
		"\2\2]^\7\5\2\2^_\7\6\2\2_\5\3\2\2\2`a\7\7\2\2ai\7\4\2\2bj\5\24\13\2ce"+
		"\5\26\f\2dc\3\2\2\2eh\3\2\2\2fd\3\2\2\2fg\3\2\2\2gj\3\2\2\2hf\3\2\2\2"+
		"ib\3\2\2\2if\3\2\2\2jk\3\2\2\2kl\7\5\2\2lm\7\6\2\2m\7\3\2\2\2no\7\b\2"+
		"\2ow\7\4\2\2px\5&\24\2qs\5(\25\2rq\3\2\2\2sv\3\2\2\2tr\3\2\2\2tu\3\2\2"+
		"\2ux\3\2\2\2vt\3\2\2\2wp\3\2\2\2wt\3\2\2\2xy\3\2\2\2yz\7\5\2\2z{\7\6\2"+
		"\2{\t\3\2\2\2|}\7\t\2\2}\u0085\7\4\2\2~\u0086\5*\26\2\177\u0081\5,\27"+
		"\2\u0080\177\3\2\2\2\u0081\u0084\3\2\2\2\u0082\u0080\3\2\2\2\u0082\u0083"+
		"\3\2\2\2\u0083\u0086\3\2\2\2\u0084\u0082\3\2\2\2\u0085~\3\2\2\2\u0085"+
		"\u0082\3\2\2\2\u0086\u0087\3\2\2\2\u0087\u0088\7\5\2\2\u0088\u0089\7\6"+
		"\2\2\u0089\13\3\2\2\2\u008a\u008b\7\n\2\2\u008b\u008c\7\13\2\2\u008c\u0094"+
		"\5\16\b\2\u008d\u008e\7\f\2\2\u008e\u008f\7\13\2\2\u008f\u0094\5\20\t"+
		"\2\u0090\u0091\7\r\2\2\u0091\u0092\7\13\2\2\u0092\u0094\5\22\n\2\u0093"+
		"\u008a\3\2\2\2\u0093\u008d\3\2\2\2\u0093\u0090\3\2\2\2\u0094\u0095\3\2"+
		"\2\2\u0095\u0096\7\6\2\2\u0096\r\3\2\2\2\u0097\u0098\7?\2\2\u0098\17\3"+
		"\2\2\2\u0099\u009a\7?\2\2\u009a\21\3\2\2\2\u009b\u009c\5J&\2\u009c\23"+
		"\3\2\2\2\u009d\u009e\7\16\2\2\u009e\u009f\7\13\2\2\u009f\u00a0\5J&\2\u00a0"+
		"\25\3\2\2\2\u00a1\u00a7\5\30\r\2\u00a2\u00a6\5\32\16\2\u00a3\u00a6\5 "+
		"\21\2\u00a4\u00a6\5\"\22\2\u00a5\u00a2\3\2\2\2\u00a5\u00a3\3\2\2\2\u00a5"+
		"\u00a4\3\2\2\2\u00a6\u00a9\3\2\2\2\u00a7\u00a5\3\2\2\2\u00a7\u00a8\3\2"+
		"\2\2\u00a8\27\3\2\2\2\u00a9\u00a7\3\2\2\2\u00aa\u00ab\7\17\2\2\u00ab\u00ac"+
		"\5F$\2\u00ac\u00ad\7\20\2\2\u00ad\u00ae\7\21\2\2\u00ae\31\3\2\2\2\u00af"+
		"\u00b0\7\22\2\2\u00b0\u00b4\7\13\2\2\u00b1\u00b5\7\60\2\2\u00b2\u00b5"+
		"\7\61\2\2\u00b3\u00b5\5\34\17\2\u00b4\u00b1\3\2\2\2\u00b4\u00b2\3\2\2"+
		"\2\u00b4\u00b3\3\2\2\2\u00b5\u00b6\3\2\2\2\u00b6\u00b7\7\6\2\2\u00b7\33"+
		"\3\2\2\2\u00b8\u00bd\5\36\20\2\u00b9\u00ba\7\23\2\2\u00ba\u00bc\5\36\20"+
		"\2\u00bb\u00b9\3\2\2\2\u00bc\u00bf\3\2\2\2\u00bd\u00bb\3\2\2\2\u00bd\u00be"+
		"\3\2\2\2\u00be\35\3\2\2\2\u00bf\u00bd\3\2\2\2\u00c0\u00c3\5H%\2\u00c1"+
		"\u00c2\7\24\2\2\u00c2\u00c4\5H%\2\u00c3\u00c1\3\2\2\2\u00c3\u00c4\3\2"+
		"\2\2\u00c4\37\3\2\2\2\u00c5\u00c6\7\25\2\2\u00c6\u00c7\7\13\2\2\u00c7"+
		"\u00c8\5F$\2\u00c8\u00c9\7/\2\2\u00c9\u00ca\5F$\2\u00ca\u00cb\7\6\2\2"+
		"\u00cb!\3\2\2\2\u00cc\u00cd\7\26\2\2\u00cd\u00ce\7\13\2\2\u00ce\u00cf"+
		"\5$\23\2\u00cf\u00d0\7\6\2\2\u00d0#\3\2\2\2\u00d1\u00d2\7*\2\2\u00d2%"+
		"\3\2\2\2\u00d3\u00d4\7\27\2\2\u00d4\u00d5\7\13\2\2\u00d5\u00d6\5J&\2\u00d6"+
		"\u00d7\7\6\2\2\u00d7\'\3\2\2\2\u00d8\u00d9\7\30\2\2\u00d9\u00da\7\13\2"+
		"\2\u00da\u00eb\5.\30\2\u00db\u00dc\7\31\2\2\u00dc\u00dd\7\13\2\2\u00dd"+
		"\u00eb\5\60\31\2\u00de\u00df\7\32\2\2\u00df\u00e0\7\13\2\2\u00e0\u00eb"+
		"\5\62\32\2\u00e1\u00e2\7\33\2\2\u00e2\u00e3\7\13\2\2\u00e3\u00eb\5\64"+
		"\33\2\u00e4\u00e5\7\34\2\2\u00e5\u00e6\7\13\2\2\u00e6\u00eb\5\66\34\2"+
		"\u00e7\u00e8\7\35\2\2\u00e8\u00e9\7\13\2\2\u00e9\u00eb\58\35\2\u00ea\u00d8"+
		"\3\2\2\2\u00ea\u00db\3\2\2\2\u00ea\u00de\3\2\2\2\u00ea\u00e1\3\2\2\2\u00ea"+
		"\u00e4\3\2\2\2\u00ea\u00e7\3\2\2\2\u00eb\u00ec\3\2\2\2\u00ec\u00ed\7\6"+
		"\2\2\u00ed)\3\2\2\2\u00ee\u00ef\7\36\2\2\u00ef\u00f0\7\13\2\2\u00f0\u00f1"+
		"\5J&\2\u00f1\u00f2\7\6\2\2\u00f2+\3\2\2\2\u00f3\u00f4\7\37\2\2\u00f4\u00f5"+
		"\7\13\2\2\u00f5\u00fa\5:\36\2\u00f6\u00f7\7 \2\2\u00f7\u00f8\7\13\2\2"+
		"\u00f8\u00fa\5<\37\2\u00f9\u00f3\3\2\2\2\u00f9\u00f6\3\2\2\2\u00fa\u00fb"+
		"\3\2\2\2\u00fb\u00fc\7\6\2\2\u00fc-\3\2\2\2\u00fd\u0102\5J&\2\u00fe\u00ff"+
		"\7\23\2\2\u00ff\u0101\5J&\2\u0100\u00fe\3\2\2\2\u0101\u0104\3\2\2\2\u0102"+
		"\u0100\3\2\2\2\u0102\u0103\3\2\2\2\u0103/\3\2\2\2\u0104\u0102\3\2\2\2"+
		"\u0105\u0106\7(\2\2\u0106\61\3\2\2\2\u0107\u0108\7?\2\2\u0108\63\3\2\2"+
		"\2\u0109\u010a\7>\2\2\u010a\65\3\2\2\2\u010b\u010c\t\2\2\2\u010c\67\3"+
		"\2\2\2\u010d\u010e\t\2\2\2\u010e9\3\2\2\2\u010f\u0112\7\63\2\2\u0110\u0112"+
		"\5J&\2\u0111\u010f\3\2\2\2\u0111\u0110\3\2\2\2\u0112;\3\2\2\2\u0113\u0114"+
		"\t\3\2\2\u0114=\3\2\2\2\u0115\u0116\t\4\2\2\u0116?\3\2\2\2\u0117\u0118"+
		"\7>\2\2\u0118\u0119\7\21\2\2\u0119\u011a\7>\2\2\u011a\u011b\7\21\2\2\u011b"+
		"\u011c\7>\2\2\u011c\u011d\7\21\2\2\u011d\u011e\7>\2\2\u011e\u011f\7\21"+
		"\2\2\u011f\u0120\7>\2\2\u0120\u0121\7\21\2\2\u0121\u0122\7>\2\2\u0122"+
		"\u0123\7\21\2\2\u0123\u01bb\5B\"\2\u0124\u0125\7!\2\2\u0125\u0126\7>\2"+
		"\2\u0126\u0127\7\21\2\2\u0127\u0128\7>\2\2\u0128\u0129\7\21\2\2\u0129"+
		"\u012a\7>\2\2\u012a\u012b\7\21\2\2\u012b\u012c\7>\2\2\u012c\u012d\7\21"+
		"\2\2\u012d\u012e\7>\2\2\u012e\u012f\7\21\2\2\u012f\u01bb\5B\"\2\u0130"+
		"\u0132\7>\2\2\u0131\u0130\3\2\2\2\u0131\u0132\3\2\2\2\u0132\u0133\3\2"+
		"\2\2\u0133\u0134\7!\2\2\u0134\u0135\7>\2\2\u0135\u0136\7\21\2\2\u0136"+
		"\u0137\7>\2\2\u0137\u0138\7\21\2\2\u0138\u0139\7>\2\2\u0139\u013a\7\21"+
		"\2\2\u013a\u013b\7>\2\2\u013b\u013c\7\21\2\2\u013c\u01bb\5B\"\2\u013d"+
		"\u013e\7>\2\2\u013e\u0140\7\21\2\2\u013f\u013d\3\2\2\2\u013f\u0140\3\2"+
		"\2\2\u0140\u0141\3\2\2\2\u0141\u0143\7>\2\2\u0142\u013f\3\2\2\2\u0142"+
		"\u0143\3\2\2\2\u0143\u0144\3\2\2\2\u0144\u0145\7!\2\2\u0145\u0146\7>\2"+
		"\2\u0146\u0147\7\21\2\2\u0147\u0148\7>\2\2\u0148\u0149\7\21\2\2\u0149"+
		"\u014a\7>\2\2\u014a\u014b\7\21\2\2\u014b\u01bb\5B\"\2\u014c\u014d\7>\2"+
		"\2\u014d\u014f\7\21\2\2\u014e\u014c\3\2\2\2\u014e\u014f\3\2\2\2\u014f"+
		"\u0152\3\2\2\2\u0150\u0151\7>\2\2\u0151\u0153\7\21\2\2\u0152\u0150\3\2"+
		"\2\2\u0152\u0153\3\2\2\2\u0153\u0154\3\2\2\2\u0154\u0156\7>\2\2\u0155"+
		"\u014e\3\2\2\2\u0155\u0156\3\2\2\2\u0156\u0157\3\2\2\2\u0157\u0158\7!"+
		"\2\2\u0158\u0159\7>\2\2\u0159\u015a\7\21\2\2\u015a\u015b\7>\2\2\u015b"+
		"\u015c\7\21\2\2\u015c\u01bb\5B\"\2\u015d\u015e\7>\2\2\u015e\u0160\7\21"+
		"\2\2\u015f\u015d\3\2\2\2\u015f\u0160\3\2\2\2\u0160\u0163\3\2\2\2\u0161"+
		"\u0162\7>\2\2\u0162\u0164\7\21\2\2\u0163\u0161\3\2\2\2\u0163\u0164\3\2"+
		"\2\2\u0164\u0167\3\2\2\2\u0165\u0166\7>\2\2\u0166\u0168\7\21\2\2\u0167"+
		"\u0165\3\2\2\2\u0167\u0168\3\2\2\2\u0168\u0169\3\2\2\2\u0169\u016b\7>"+
		"\2\2\u016a\u015f\3\2\2\2\u016a\u016b\3\2\2\2\u016b\u016c\3\2\2\2\u016c"+
		"\u016d\7!\2\2\u016d\u016e\7>\2\2\u016e\u016f\7\21\2\2\u016f\u01bb\5B\""+
		"\2\u0170\u0171\7>\2\2\u0171\u0173\7\21\2\2\u0172\u0170\3\2\2\2\u0172\u0173"+
		"\3\2\2\2\u0173\u0176\3\2\2\2\u0174\u0175\7>\2\2\u0175\u0177\7\21\2\2\u0176"+
		"\u0174\3\2\2\2\u0176\u0177\3\2\2\2\u0177\u017a\3\2\2\2\u0178\u0179\7>"+
		"\2\2\u0179\u017b\7\21\2\2\u017a\u0178\3\2\2\2\u017a\u017b\3\2\2\2\u017b"+
		"\u017e\3\2\2\2\u017c\u017d\7>\2\2\u017d\u017f\7\21\2\2\u017e\u017c\3\2"+
		"\2\2\u017e\u017f\3\2\2\2\u017f\u0180\3\2\2\2\u0180\u0182\7>\2\2\u0181"+
		"\u0172\3\2\2\2\u0181\u0182\3\2\2\2\u0182\u0183\3\2\2\2\u0183\u0184\7!"+
		"\2\2\u0184\u01bb\5B\"\2\u0185\u0186\7>\2\2\u0186\u0188\7\21\2\2\u0187"+
		"\u0185\3\2\2\2\u0187\u0188\3\2\2\2\u0188\u018b\3\2\2\2\u0189\u018a\7>"+
		"\2\2\u018a\u018c\7\21\2\2\u018b\u0189\3\2\2\2\u018b\u018c\3\2\2\2\u018c"+
		"\u018f\3\2\2\2\u018d\u018e\7>\2\2\u018e\u0190\7\21\2\2\u018f\u018d\3\2"+
		"\2\2\u018f\u0190\3\2\2\2\u0190\u0193\3\2\2\2\u0191\u0192\7>\2\2\u0192"+
		"\u0194\7\21\2\2\u0193\u0191\3\2\2\2\u0193\u0194\3\2\2\2\u0194\u0197\3"+
		"\2\2\2\u0195\u0196\7>\2\2\u0196\u0198\7\21\2\2\u0197\u0195\3\2\2\2\u0197"+
		"\u0198\3\2\2\2\u0198\u0199\3\2\2\2\u0199\u019b\7>\2\2\u019a\u0187\3\2"+
		"\2\2\u019a\u019b\3\2\2\2\u019b\u019c\3\2\2\2\u019c\u019d\7!\2\2\u019d"+
		"\u01bb\7>\2\2\u019e\u019f\7>\2\2\u019f\u01a1\7\21\2\2\u01a0\u019e\3\2"+
		"\2\2\u01a0\u01a1\3\2\2\2\u01a1\u01a4\3\2\2\2\u01a2\u01a3\7>\2\2\u01a3"+
		"\u01a5\7\21\2\2\u01a4\u01a2\3\2\2\2\u01a4\u01a5\3\2\2\2\u01a5\u01a8\3"+
		"\2\2\2\u01a6\u01a7\7>\2\2\u01a7\u01a9\7\21\2\2\u01a8\u01a6\3\2\2\2\u01a8"+
		"\u01a9\3\2\2\2\u01a9\u01ac\3\2\2\2\u01aa\u01ab\7>\2\2\u01ab\u01ad\7\21"+
		"\2\2\u01ac\u01aa\3\2\2\2\u01ac\u01ad\3\2\2\2\u01ad\u01b0\3\2\2\2\u01ae"+
		"\u01af\7>\2\2\u01af\u01b1\7\21\2\2\u01b0\u01ae\3\2\2\2\u01b0\u01b1\3\2"+
		"\2\2\u01b1\u01b4\3\2\2\2\u01b2\u01b3\7>\2\2\u01b3\u01b5\7\21\2\2\u01b4"+
		"\u01b2\3\2\2\2\u01b4\u01b5\3\2\2\2\u01b5\u01b6\3\2\2\2\u01b6\u01b8\7>"+
		"\2\2\u01b7\u01a0\3\2\2\2\u01b7\u01b8\3\2\2\2\u01b8\u01b9\3\2\2\2\u01b9"+
		"\u01bb\7!\2\2\u01ba\u0117\3\2\2\2\u01ba\u0124\3\2\2\2\u01ba\u0131\3\2"+
		"\2\2\u01ba\u0142\3\2\2\2\u01ba\u0155\3\2\2\2\u01ba\u016a\3\2\2\2\u01ba"+
		"\u0181\3\2\2\2\u01ba\u019a\3\2\2\2\u01ba\u01b7\3\2\2\2\u01bbA\3\2\2\2"+
		"\u01bc\u01bd\7>\2\2\u01bd\u01be\7\21\2\2\u01be\u01c1\7>\2\2\u01bf\u01c1"+
		"\5D#\2\u01c0\u01bc\3\2\2\2\u01c0\u01bf\3\2\2\2\u01c1C\3\2\2\2\u01c2\u01c3"+
		"\7>\2\2\u01c3\u01c4\7\"\2\2\u01c4\u01c5\7>\2\2\u01c5\u01c6\7\"\2\2\u01c6"+
		"\u01c7\7>\2\2\u01c7\u01c8\7\"\2\2\u01c8\u01c9\7>\2\2\u01c9E\3\2\2\2\u01ca"+
		"\u01cb\7=\2\2\u01cbG\3\2\2\2\u01cc\u01cd\7>\2\2\u01cdI\3\2\2\2\u01ce\u01cf"+
		"\7?\2\2\u01cfK\3\2\2\2\63PRZfitw\u0082\u0085\u0093\u00a5\u00a7\u00b4\u00bd"+
		"\u00c3\u00ea\u00f9\u0102\u0111\u0131\u013f\u0142\u014e\u0152\u0155\u015f"+
		"\u0163\u0167\u016a\u0172\u0176\u017a\u017e\u0181\u0187\u018b\u018f\u0193"+
		"\u0197\u019a\u01a0\u01a4\u01a8\u01ac\u01b0\u01b4\u01b7\u01ba\u01c0";
	public static final ATN _ATN =
		new ATNDeserializer().deserialize(_serializedATN.toCharArray());
	static {
		_decisionToDFA = new DFA[_ATN.getNumberOfDecisions()];
		for (int i = 0; i < _ATN.getNumberOfDecisions(); i++) {
			_decisionToDFA[i] = new DFA(_ATN.getDecisionState(i), i);
		}
	}
}